Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.example.com/v1/datasets
{ "datasets": [ { "columns": [ { "name": "<string>" } ], "connection_config": { "uri": "<string>", "connector_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "connector_credential_name": "<string>", "connector_type": "s3", "region": "<string>", "file_format": "<string>" }, "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "filter": { "col": "<string>", "kind": "cmp", "value": "<string>" } } ] }
Successful Response
GET /v1/datasets — all datasets owned by the authenticated user.
GET /v1/datasets
Show child attributes